﻿var counter = 0;
var taskTimerId = null;

function showTime() {
	var date = new Date();
	console.log(date.toLocaleTimeString());
}

function showCounter() {
	console.log(counter++);
}

function startTask(func) {
	taskTimerId = setInterval(func, 1000);
}

function stopTask() {
	clearInterval(taskTimerId);

	taskTimerId = null;
}

function toggleTask(func) {
	if (taskTimerId === null) {
		startTask(func);
	} else {
		stopTask();
	}
}