﻿function getIsPrimeNumber(n, primeNumbers) {
	var isPrimeNumber = true;
	for (var i in primeNumbers) {
		var divider = primeNumbers[i];

		if (divider == 1) {
			continue;
		}

		if (divider > Math.sqrt(n)) {
			break;
		}

		if (n % divider === 0) {
			isPrimeNumber = false;
			break;
		}
	}

	return isPrimeNumber;
}

function populatePrimeNumbers(primeNumbers) {
	for (var n = 1; n < 1000; n++) {
		var isPrimeNumber = getIsPrimeNumber(n, primeNumbers);

		if (isPrimeNumber) {
			primeNumbers.push(n);
		}
	}
}

function populateFibonacciNumbers(fibonacciNumbers) {
	fibonacciNumbers.push(0);
	fibonacciNumbers.push(1);
	while (true) {
		var i = fibonacciNumbers.length;
		var f1 = fibonacciNumbers[i - 1];
		var f2 = fibonacciNumbers[i - 2];
		var f = f1 + f2;
		if (f > 1000) {
			break;
		}

		fibonacciNumbers.push(f);
	}
}

function populateDuplicateValues(target, source1, source2) {
	for (var i in source1) {
		var value = source1[i];

		if (source2.indexOf(value) >= 0) {
			target.push(value);
		}
	}
}

function showArray(arr) {
	console.log(arr.join(','));
}

var primeNumbers = [];
populatePrimeNumbers(primeNumbers);
showArray(primeNumbers);

var fibonacciNumbers = [];
populateFibonacciNumbers(fibonacciNumbers);
showArray(fibonacciNumbers);

var kewlNumbers = [];
populateDuplicateValues(kewlNumbers, primeNumbers, fibonacciNumbers);
showArray(kewlNumbers);
