﻿function getArithmeticMean(numbers) {
	var sum = 0;
	for (var i in numbers) {
		//sum = sum + numbers[i];
		sum += parseFloat(numbers[i]);
	}

	return sum / numbers.length;
}

function showStudents() {
	var table = document.getElementById('studentTable');
	var tbody = table.getElementsByTagName('tbody')[0];

	// изтриваме редовете в тялото на таблицата
	while (tbody.childNodes.length > 0) {
		tbody.removeChild(tbody.childNodes[0]);
	}

	for (var i in students) {
		var student = students[i];

		var tr = document.createElement('tr');
		tbody.appendChild(tr);

		var td = document.createElement('td');
		td.innerHTML = student.names;
		tr.appendChild(td);

		var td = document.createElement('td');
		td.innerHTML = student.marks.join(', ');
		tr.appendChild(td);

		var td = document.createElement('td');
		td.innerHTML = student.average;
		tr.appendChild(td);
	}
}

function addStudent() {
	var student = {};

	var form = document.getElementById('addStudentForm');

	var studentNamesInput = document.getElementById('studentNames');
	student.names = studentNamesInput.value;

	var studentMarksInput = document.getElementById('studentMarks');
	var marksString = studentMarksInput.value;
	student.marks = marksString.split(' ');

	student.average = getArithmeticMean(student.marks);

	students.push(student);

	showStudents();

	var messageSpan = document.getElementById('message');
	messageSpan.innerHTML = 'Ученикът беше добавен успешно!';

	setTimeout(function () { messageSpan.innerHTML = null; }, 5000);
}


var students = [];
